public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-misc/sphinx/
Date: Sat, 24 Oct 2015 08:15:43 +0000 (UTC)	[thread overview]
Message-ID: <1445674460.80a5c0d89285960d2a20bb3be983fd8b8c3b8566.graaff@gentoo> (raw)

commit:     80a5c0d89285960d2a20bb3be983fd8b8c3b8566
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Oct 24 08:12:04 2015 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Oct 24 08:14:20 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=80a5c0d8

app-misc/sphinx: add 2.2.10, bug 523240

No longer install tests since that cannot function
outside of the source directory.

Add USE="re2" to enable regular expressions via
dev-libs/re2, bug 523912. Drop keywords due to this,
bug 563932.

Package-Manager: portage-2.2.20.1

 app-misc/sphinx/Manifest             |  1 +
 app-misc/sphinx/metadata.xml         |  1 +
 app-misc/sphinx/sphinx-2.2.10.ebuild | 92 ++++++++++++++++++++++++++++++++++++
 3 files changed, 94 insertions(+)

diff --git a/app-misc/sphinx/Manifest b/app-misc/sphinx/Manifest
index fe330f8..092b4f7 100644
--- a/app-misc/sphinx/Manifest
+++ b/app-misc/sphinx/Manifest
@@ -3,3 +3,4 @@ DIST sphinx-0.9.9.tar.gz 1218359 SHA256 bf8f55ffc095ff6b628f0cbc7eb5476181114014
 DIST sphinx-2.0.10-release.tar.gz 2016687 SHA256 efc9e90d1edec4f159846c8d4ca8839e7dcf9ef88c117d0d369aaead75809f0a SHA512 d22a0ce261cd6decda2e9e91fc9806699c818bb45a9c9c5e11a0944a698d47b5862c577eb55e7b57dd208db982e7f8bfc7163af37aaedc1c537841aff1409952 WHIRLPOOL 46e17cc73225692e8ab73438547863ba78ef7c1be306bd46e393723220007b95d9a0ca62cbd8175423b62bf4599a68c4a4831ac6472d02249104ecdf0e3892ac
 DIST sphinx-2.1.8-release.tar.gz 2442119 SHA256 8aebff8b00ec07b71790a67781c80a9a9b3ee28e2a35b226663aaf37cb78b6db SHA512 e53d62a694c1f89a9614d15a7820f245cdad03d6bc4d512dd3dd743908f11c582f45d5cc0a416d0d05b4cbfaffc491fe40e704c03149774ef498b54519d288cf WHIRLPOOL e4bb44920ed536bf6f8dd52fa1c373e9c88fb07a98a7458bd6f39feee2f10323bae13431d26d6340537cc3d2bfde9b4af188cac89b8bf1694aeb3d0842ad71e7
 DIST sphinx-2.1.9-release.tar.gz 2443797 SHA256 6289aa0ac3e1456a0c9181ce6bce2287778b5a163f685a1376e181fc87eb7c03 SHA512 7f4538011db5d68bd00c00978d476f780fc2d355113bd2819996bacbaef90b0de5b14c946a9aad83157b818d9b6b01ee0a26bc72862cfd151067ad9967c18f56 WHIRLPOOL fd9e6d31c8b9d88b8de7462ccd947aeb85d97ee4c23c64788653f732a5e47dad134c0f8cedc3b0ccc2d744eb0c4aaeb2d32fbdb02bae50be0d4ed8841a0683a1
+DIST sphinx-2.2.10-release.tar.gz 3109250 SHA256 054cb86e64bd48997d89386e1224d4405063d9857b2d7c33dc6cc1b9ef6df440 SHA512 07683f64df730368563e11a7d2939b521837c9a04944ab7d6d09732ab06e451b674169eca4f85db2aae41d883bd16fb4d17b9265912fea9691d07d407d7212d8 WHIRLPOOL b98f7c99d09d10cb4f3656da72acb6c986fe674ecb00347e69a979617253dcf3189aa7507fcabe3d932f6f5f1003b781f6d29bf8d94e777f54ec2588a14855ef

diff --git a/app-misc/sphinx/metadata.xml b/app-misc/sphinx/metadata.xml
index d605858..fc8b152 100644
--- a/app-misc/sphinx/metadata.xml
+++ b/app-misc/sphinx/metadata.xml
@@ -6,6 +6,7 @@
 </maintainer>
 <use>
   <flag name='id64'>use 64-bit document and word IDs</flag>
+  <flag name='re2'>use the <pkg>dev-libs/re2</pkg> regular expression library</flag>
   <flag name='stemmer'>Enable language stemming support</flag>
 </use>
 </pkgmetadata>

diff --git a/app-misc/sphinx/sphinx-2.2.10.ebuild b/app-misc/sphinx/sphinx-2.2.10.ebuild
new file mode 100644
index 0000000..78e154f
--- /dev/null
+++ b/app-misc/sphinx/sphinx-2.2.10.ebuild
@@ -0,0 +1,92 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils autotools toolchain-funcs
+
+#MY_P=${P/_/-}
+MY_P=${P}-release
+
+DESCRIPTION="Full-text search engine with support for MySQL and PostgreSQL"
+HOMEPAGE="http://www.sphinxsearch.com/"
+SRC_URI="http://sphinxsearch.com/files/${MY_P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="debug id64 mysql odbc postgres re2 stemmer syslog xml"
+
+RDEPEND="mysql? ( virtual/mysql )
+	postgres? ( dev-db/postgresql:* )
+	odbc? ( dev-db/unixODBC )
+	re2? ( dev-libs/re2 )
+	stemmer? ( dev-libs/snowball-stemmer )
+	xml? ( dev-libs/expat )
+	virtual/libiconv"
+
+S=${WORKDIR}/${MY_P}
+
+src_prepare() {
+	epatch "${FILESDIR}"/${PN}-2.0.1_beta-darwin8.patch
+
+	# drop nasty hardcoded search path breaking Prefix
+	# We patch configure directly since otherwise we need to run
+	# eautoreconf twice and that causes problems, bug 425380
+	sed -i -e 's/\/usr\/local\//\/someplace\/nonexisting\//g' configure || die
+
+	# Fix QA compilation warnings.
+	sed -i -e '19i#include <string.h>' api/libsphinxclient/test.c || die
+
+	pushd api/libsphinxclient || die
+	eautoreconf
+	popd || die
+
+	# Drop bundled code to ensure building against system versions. We
+	# cannot remove libstemmer_c since configure updates its Makefile.
+	rm -rf libexpat libre2 || die
+}
+
+src_configure() {
+	# fix libiconv detection
+	use !elibc_glibc && export ac_cv_search_iconv=-liconv
+
+	econf \
+		--sysconfdir="${EPREFIX}/etc/${PN}" \
+		$(use_enable id64) \
+		$(use_with debug) \
+		$(use_with mysql) \
+		$(use_with odbc unixodbc) \
+		$(use_with postgres pgsql) \
+		$(use_with re2) \
+		$(use_with stemmer libstemmer) \
+		$(use_with syslog syslog) \
+		$(use_with xml libexpat )
+
+	cd api/libsphinxclient || die
+	econf STRIP=:
+}
+
+src_compile() {
+	emake AR="$(tc-getAR)" || die "emake failed"
+
+	emake -j 1 -C api/libsphinxclient || die "emake libsphinxclient failed"
+}
+
+src_test() {
+	# Tests require a live database and only work from the source
+	# directory.
+	:
+}
+
+src_install() {
+	emake DESTDIR="${D}" install || die "install failed"
+	emake DESTDIR="${D}" -C api/libsphinxclient install || die "install libsphinxclient failed"
+
+	dodoc doc/*
+
+	dodir /var/lib/sphinx
+	dodir /var/log/sphinx
+
+	newinitd "${FILESDIR}"/searchd.rc searchd
+}


             reply	other threads:[~2015-10-24  8:15 UTC|newest]

Thread overview: 39+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-10-24  8:15 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2015-10-27 12:18 [gentoo-commits] repo/gentoo:master commit in: app-misc/sphinx/ Agostino Sarubbo
2015-11-01 13:23 Mikle Kolyada
2016-01-25 14:05 Hans de Graaff
2016-04-06 16:04 Fabian Groffen
2016-07-31  5:53 Hans de Graaff
2016-07-31  5:53 Hans de Graaff
2016-09-05 17:46 Hans de Graaff
2016-09-24 13:40 Agostino Sarubbo
2016-12-21 22:54 Thomas Deutschmann
2017-10-22  7:21 Hans de Graaff
2017-12-10 14:16 David Seifert
2018-07-20 18:33 Hans de Graaff
2018-07-27  5:22 Hans de Graaff
2018-07-27  5:22 Hans de Graaff
2018-12-26 13:15 Sergei Trofimovich
2018-12-26 13:15 Sergei Trofimovich
2018-12-26 20:04 Sergei Trofimovich
2018-12-26 20:06 Sergei Trofimovich
2019-01-01 21:19 Sergei Trofimovich
2019-01-04 22:41 Mikle Kolyada
2019-01-21 19:20 Hans de Graaff
2019-01-24 21:35 Sergei Trofimovich
2020-03-16  6:30 Matt Turner
2020-04-05  9:09 Hans de Graaff
2021-01-06 13:19 Fabian Groffen
2021-08-15  7:41 Hans de Graaff
2021-08-19  1:08 Sam James
2021-08-19 11:55 Agostino Sarubbo
2021-08-27  7:23 Hans de Graaff
2021-08-27 20:45 Sam James
2021-09-21  6:35 Agostino Sarubbo
2021-09-22  6:58 Agostino Sarubbo
2022-03-20 20:49 David Seifert
2022-03-26  1:37 Sam James
2022-07-28  7:10 Sam James
2022-11-14  6:42 Hans de Graaff
2024-02-09 14:24 Hans de Graaff
2024-03-05  7:01 Sam James

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1445674460.80a5c0d89285960d2a20bb3be983fd8b8c3b8566.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox